> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# A source's canonical feed registrations



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/inventory-sources/{id}/feeds
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Publisher Domains
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/inventory-sources/{id}/feeds:
    get:
      tags:
        - Inventory Sources
      summary: A source's canonical feed registrations
      operationId: getStorefrontInventorySourcesByIdFeeds
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            feedId:
                              type: string
                            feedKey:
                              type: string
                            inventorySourceId:
                              type: string
                            inventorySourceModuleId:
                              type: string
                            profileId:
                              type: string
                            profileVersion:
                              type: string
                            registrationTransport:
                              type: string
                              enum:
                                - HITL
                                - API_PUSH
                                - BESPOKE_PULL
                            activeTransport:
                              anyOf:
                                - type: string
                                  enum:
                                    - HITL
                                    - API_PUSH
                                    - BESPOKE_PULL
                                - type: 'null'
                            deliverySemantics:
                              type: string
                              enum:
                                - FULL_REPLACEMENT
                                - PATCH_UPSERT
                            syncHealth:
                              type: string
                              enum:
                                - HEALTHY
                                - DEGRADED
                                - UNHEALTHY
                            freshnessDeadlineAt:
                              type:
                                - string
                                - 'null'
                            hasActiveRevision:
                              type: boolean
                          required:
                            - feedId
                            - feedKey
                            - inventorySourceId
                            - inventorySourceModuleId
                            - profileId
                            - profileVersion
                            - registrationTransport
                            - activeTransport
                            - deliverySemantics
                            - syncHealth
                            - freshnessDeadlineAt
                            - hasActiveRevision
                          additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````